package digital.laboratory.platform.sewage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 污水导入日志
 *
 * @author Zhang Xiaolong created at  2022-10-06
 * @describe 污水导入日志 实体类
 */
@Data
@TableName(value = "b_sewage_import_log", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "污水导入日志")
public class SewageImportLog extends BaseEntity {

    /**
     * id
     */
        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        @ApiModelProperty(value="id")
    private String id;

    /**
     * 模块
     */
    @ApiModelProperty(value="模块")
    private String module;

    /**
     * 日志记录
     */
    @ApiModelProperty(value="日志记录")
    private String log;


}
