package digital.laboratory.platform.sewage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.time.LocalDateTime;


/**
 * 污水检测任务
 *
 * @author Zhang Xiaolong created at  2022-07-26
 * @describe 污水检测任务(公安部下发) 实体类
 */
@Data
@TableName(value = "b_sewage_job_gab", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "污水检测任务-公安部下发")
public class SewageJobGAB extends BaseEntity {

    /**
     * id
     */
        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        @ApiModelProperty(value="id")
    private String id;

    /**
     * 任务编号
     */
    @ApiModelProperty(value="任务编号")
    private String jobNo;

    /**
     * 任务名称
     */
    @ApiModelProperty(value="任务名称")
    private String name;

    /**
     * 任务年份
     */
    @ApiModelProperty(value="任务年份")
    private Integer jobYear;

    /**
     * 任务季度
     */
    @ApiModelProperty(value="任务季度")
    private Integer jobSeason;

//    /**
//     * 任务范围(区域id)
//     */
//    @ApiModelProperty(value="任务范围(区域id)")
//    private String jobRegion;

    /**
     * 任务内容描述说明
     */
    @ApiModelProperty(value="任务内容描述说明")
    private String description;

    /**
     * 任务发布单位
     */
    @ApiModelProperty(value="任务发布单位")
    private String launcheOrgId;

    /**
     * 任务来源
     */
    @ApiModelProperty(value="任务来源")
    private String source;

    /**
     * 任务截止日期
     */
    @ApiModelProperty(value="任务截止日期")
    private LocalDateTime expirationDate;

    /**
     * 任务开始日期
     */
    @ApiModelProperty(value="任务开始日期")
    private LocalDateTime startDate;

    /**
     * 任务备注
     */
    @ApiModelProperty(value="任务备注")
    private String comments;

    /**
     * 有效:0=未发布,1=已发布,2=已停止接收样本,3=已完成
     */
    @ApiModelProperty(value="有效:0=未发布,1=已发布,2=已停止接收样本,3=已完成")
    private Integer status;

    /**
     * 发布任务人的userId
     */
    @ApiModelProperty(value="发布任务人的userId")
    private String launcheUserId;

    /**
     * 任务分配日期
     */
    @ApiModelProperty(value="任务分配日期")
    private LocalDateTime launcheDate;

    /**
     *污水任务区域列表
     */
    private String sewageAreaList;

}
