package digital.laboratory.platform.sewage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 污水检测任务清单
 *
 * @author Zhang Xiaolong created at  2022-09-18
 * @describe 污水检测任务清单 实体类
 */
@Data
@TableName(value = "b_sewage_job_item", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "污水检测任务清单")
public class SewageJobItem extends BaseEntity {

    /**
     * 任务项id
     */
        @TableId(value = "id", type = IdType.ASSIGN_UUID)
        @ApiModelProperty(value="任务项id")
    private String id;

    /**
     * 任务id
     */
    @ApiModelProperty(value="任务id")
    private String jobId;

    /**
     * 污水处理厂id
     */
    @ApiModelProperty(value="污水处理厂id")
    private String plantId;

    /**
     * 创建者单位级别: 0=分中心,1=省, 2=市, 3=区县
     */
    @ApiModelProperty(value="创建者单位级别: 0=分中心,1=省, 2=市, 3=区县")
    private Integer createByOrgLevel;

    /**
     * 备注  用来设置是否已经选择，没有具体的意义，主要是做客户端显示用
     */
    @ApiModelProperty(value="备注")
    private String comments;



}
