package digital.laboratory.platform.sewage.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 污水检测任务状态类
 * <p>
 */

@Getter
@RequiredArgsConstructor
public enum SewageJobStatusConstants {
	/*JOB_STATUS_CREATED(0, "待发布"),                 // 已创建待发布
	JOB_STATUS_REVOCATION(1, "已撤回"),              // 已发布的任务在认领前被撤回
	JOB_STATUS_REFUSED(2, "被拒绝"),                 // 已发布的任务被拒绝

	JOB_STATUS_WAITING_CLAIM(10, "已发布, 待认领"),   // 已发布, 待任务接受机构认领
	JOB_STATUS_WAITING_EXEC(11, "已认领, 正在执行中"), // 已认领, 正在执行中

	JOB_STATUS_WAITING_FINISH(99, "任务结束"),         // 任务结束
	JOB_STATUS_ABORT(-1, "任务终止");                 // 执行了期间执行者终止*/
	JOB_STATUS_CREATED(0, "待发布"),                 // 已创建待发布
	JOB_STATUS_PUBLISH(1, "已发布"),              // 已发布的任务

	JOB_STATUS_STOP_RECEIVE(2, "已停止接收样本"),   // 已停止接收样本

	JOB_STATUS_WAITING_FINISH(3, "任务结束")         // 任务结束
	;
	/**
	 * 状态值
	 */
	private final int status;

	/**
	 * 描述
	 */
	private final String description;

	public static String getStatusDescription(int theStatus) {
		String r = "";
		for (SewageJobStatusConstants st : SewageJobStatusConstants.values()) {
			if (st.getStatus() == theStatus) {
				return r = st.description;
			}
		}
		return "未知状态";
	}


	public int getStatus() {
		return status;
	}
}
