package digital.laboratory.platform.sewage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sewage.entity.SewageJobGAB;
import digital.laboratory.platform.sewage.vo.SewageJobGABVO;
import digital.laboratory.platform.sewage.vo.SewageTreeVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 污水检测任务 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2022-07-26
 * @describe 污水检测任务 Mapper 类
 */
@Mapper
public interface SewageJobGABMapper extends BaseMapper<SewageJobGAB> {
	IPage<SewageJobGABVO> getSewageJobGABVOPage(@Param("page") IPage<SewageJobGAB> page, @Param(Constants.WRAPPER) QueryWrapper<SewageJobGAB> qw);
	List<SewageJobGABVO> getSewageJobGABVOList(@Param(Constants.WRAPPER) QueryWrapper<SewageJobGAB> qw);
	List<SewageTreeVO> getSewageSendData(@Param(Constants.WRAPPER) QueryWrapper<SewageTreeVO> qw);
}
