package digital.laboratory.platform.sewage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sewage.entity.SewageJobIdentificationMaterial;
import digital.laboratory.platform.sewage.vo.SewageJobIdentificationMaterialVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 污水任务的检材信息 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2022-07-26
 * @describe 污水任务的检材信息 Mapper 类
 */
@Mapper
public interface SewageJobIdentificationMaterialMapper extends BaseMapper<SewageJobIdentificationMaterial> {
    IPage<SewageJobIdentificationMaterialVO> getSewageJobIdentificationMaterialVOPage(@Param("page") IPage<SewageJobIdentificationMaterial> page, @Param(Constants.WRAPPER) QueryWrapper<SewageJobIdentificationMaterial> qw);

    List<SewageJobIdentificationMaterialVO> getSewageJobIdentificationMaterialVOList(@Param(Constants.WRAPPER) QueryWrapper<SewageJobIdentificationMaterial> qw);

    IPage<SewageJobIdentificationMaterialVO> getSewageJobGABIdentificationMaterialVOPage(@Param("page") IPage<SewageJobIdentificationMaterial> page, @Param(Constants.WRAPPER) QueryWrapper<SewageJobIdentificationMaterial> qw);

    List<SewageJobIdentificationMaterialVO> getSewageJobGABIdentificationMaterialVOList(@Param(Constants.WRAPPER) QueryWrapper<SewageJobIdentificationMaterial> qw);

    /**
     * 批量添加（foreach ）
     *
     * @param list
     * @return
     */
    int rewriteSaveBatch(@Param("list") List<SewageJobIdentificationMaterial> list);

    List<SewageJobIdentificationMaterial> getAcceptIMQuantity(@Param(value = "orgId") String orgId);

    List<SewageJobIdentificationMaterial> getFoundIMQuantity(@Param(value = "orgId") String orgId);

    List<SewageJobIdentificationMaterial> getWriteIMQuantity(@Param(value = "orgId") String orgId);

    List<SewageJobIdentificationMaterial> getRejectionIMQuantity(@Param(value = "orgId") String orgId);

    List<SewageJobIdentificationMaterial> getInspectIMQuantity(@Param(value = "orgId") String orgId);

    IPage<SewageJobIdentificationMaterialVO> getAnyIm(@Param(value = "page") IPage<SewageJobIdentificationMaterial> page, @Param(Constants.WRAPPER) QueryWrapper<SewageJobIdentificationMaterialVO> queryWrapper);
    List<String> getItemId(String orgId);
    List<String> getNotTimeOutItemId(String orgId);
    List<SewageJobIdentificationMaterialVO> getByImNo(@Param("imNo") String imNo);
    List<SewageJobIdentificationMaterialVO> getByImNoGAB(@Param("imNo") String imNo);
    List<SewageJobIdentificationMaterialVO> getSewageJobIdentificationMaterialVOListByJobId(@Param(Constants.WRAPPER) QueryWrapper<SewageJobIdentificationMaterial> lqw);

}
