package digital.laboratory.platform.sewage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sewage.entity.SewageJobItem;
import digital.laboratory.platform.sewage.vo.SewageJobItemVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 污水检测任务清单 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2022-09-13
 * @describe 污水检测任务清单 Mapper 类
 */
@Mapper
public interface SewageJobItemMapper extends BaseMapper<SewageJobItem> {
	IPage<SewageJobItemVO> getSewageJobItemVOPage(@Param("page") IPage<SewageJobItem> page, @Param(Constants.WRAPPER) QueryWrapper<SewageJobItem> qw);
	List<SewageJobItemVO> getSewageJobItemVOList(@Param(Constants.WRAPPER) QueryWrapper<SewageJobItem> qw);
}
