package digital.laboratory.platform.sewage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.sewage.vo.SewageTreatmentPlantVO;
import digital.laboratory.platform.sewage.entity.SewageTreatmentPlant;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 污水处理厂 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2022-03-22
 * @describe 污水处理厂 Mapper 类
 */
@Mapper
public interface SewageTreatmentPlantMapper extends BaseMapper<SewageTreatmentPlant> {
	IPage<SewageTreatmentPlantVO> getSewageTreatmentPlantVOPage(@Param("page") IPage<SewageTreatmentPlant> page, @Param(Constants.WRAPPER) QueryWrapper<SewageTreatmentPlant> qw);
	List<SewageTreatmentPlantVO> getSewageTreatmentPlantVOList(@Param(Constants.WRAPPER) QueryWrapper<SewageTreatmentPlant> qw);

	SewageTreatmentPlantVO getSewageTreatmentPlantGABVOOne(@Param(Constants.WRAPPER) QueryWrapper<SewageTreatmentPlant> qw);

	List<SewageTreatmentPlantVO> getSewageTreatmentPlantGABVOList(@Param(Constants.WRAPPER) QueryWrapper<SewageTreatmentPlant> qw);

	/***
	 * 根据id 更新污水厂编号，这里因为excel上的污水厂编号和从公安部平台同步下来的污水厂编号不一致
	 * @param number
	 * @param id
	 * @return
	 */
	int updateSewageTreatmentPlantGABNumber(@Param("number") String number, @Param("id") String id);

	/**
	 * 新增公安部大数据平台的污水厂
	 * @param sewageTreatmentPlant
	 * @return
	 */
	int insertSewageTreatmentPlantGAB(SewageTreatmentPlant sewageTreatmentPlant);
}
