package digital.laboratory.platform.sewage.service;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.sewage.entity.SewageJobIdentificationMaterial;
import digital.laboratory.platform.sewage.entity.SewageJobItem;
import digital.laboratory.platform.sewage.vo.SewageJobItemVO;
import digital.laboratory.platform.sys.entity.SysOrg;

import java.util.List;

/**
 * 污水检测任务清单服务类
 *
 * @author Zhang Xiaolong created at  2022-09-13
 * @describe 污水检测任务清单 服务类
 */
public interface SewageJobItemService extends IService<SewageJobItem> {
	IPage<SewageJobItemVO> getSewageJobItemVOPage(IPage<SewageJobItem> page, QueryWrapper<SewageJobItem> qw);
	List<SewageJobItemVO> getSewageJobItemVOList(QueryWrapper<SewageJobItem> qw);
	//批量添加任务项   xy
	List<SewageJobItem> batchAddJobItemToTask(String taskJobId, SysOrg userOrg, JSONArray sewageTreatmentPlantList, DLPUser dlpUser);
	//获取任务清单项数据列表  xy
	List<String> getSewageJobItemListByTaskID(String taskId,List<String> areaCodeList);
	//根据污水厂ID获取检材
	List<SewageJobIdentificationMaterial> getSewageMaterialListByStpId(String taskId, List<String> stpIdList);
}
