package digital.laboratory.platform.sewage.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.sewage.vo.SewageTreatmentPlantVO;
import digital.laboratory.platform.sewage.entity.SewageTreatmentPlant;
import digital.laboratory.platform.sewage.vo.TreeVo;

import java.util.List;

/**
 * 污水处理厂服务类
 *
 * @author Zhang Xiaolong created at  2022-03-22
 * @describe 污水处理厂服务类
 */
public interface SewageTreatmentPlantService extends IService<SewageTreatmentPlant> {
	IPage<SewageTreatmentPlantVO> getSewageTreatmentPlantVOPage(IPage<SewageTreatmentPlant> page, QueryWrapper<SewageTreatmentPlant> qw);
	List<SewageTreatmentPlantVO> getSewageTreatmentPlantVOList(QueryWrapper<SewageTreatmentPlant> qw);
	//按行政区划获取污水厂的树形结构
	TreeVo getSewageTreatmentTreeList(String parentId);
	List<TreeVo> getThreeAreaTreeData();
}
