package digital.laboratory.platform.sewage.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import digital.laboratory.platform.sewage.vo.SewageJobIdentificationMaterialVO;
import digital.laboratory.platform.sewage.entity.SewageJobItem;
import digital.laboratory.platform.sewage.entity.UpdateInfo;
import lombok.Data;

import java.util.List;

@Data
public class SewageJobItemVO extends SewageJobItem {
	String createUserName;          // 创建人姓名
	String updateUserName;          // 更新人姓名

	//---- 污水处理厂 ---
	String sewageTreatmentPlantName;						// 厂名
	String sewageTreatmentPlantShortName;					// 污水处理厂简称
	String sewageTreatmentPlantAddress;						// 地址
	String sewageTreatmentPlantCoverageArea;				// 管网覆盖区域
	String sewageTreatmentPlantProvinceCode;				// 所属省级行政区编码
	String sewageTreatmentPlantProvinceContacts;			// 所属省禁毒办联系人和电话
	String sewageTreatmentPlantCityCode;					// 所属市级行政区编码
	String sewageTreatmentPlantCityContacts;				// 所属市禁毒办联系人和电话
	String sewageTreatmentPlantDistrictCode;				// 所属区县级行政区编码
	String sewageTreatmentPlantDistrictContacts;			// 所属区县禁毒办联系人和电话
	Integer sewageTreatmentPlantWaterInletCount;    		// 污水进水口数量
	Double sewageTreatmentPlantDailyFlowDesign; 			// 日均处理污水总量(万立方米/日)设计
	Double sewageTreatmentPlantDailyFlowReal;				// 日均处理污水总量(万立方米/日)实际
	Double sewageTreatmentPlantDomesticSewageProportion;	// 生活污水占比(%)
	Double sewageTreatmentPlantServicePopulation;			// 服务人口数(万人)
	String sewageTreatmentPlantComments;					// 备注

	@TableField(typeHandler = FastjsonTypeHandler.class)
	List<UpdateInfo> sewageTreatmentPlantUpdateLog;			// 修改记录json格式

	String sewageTreatmentPlantProvinceName;				// 所属省级行政区名称
	String sewageTreatmentPlantCityName;					// 所属市级行政区名称
	String sewageTreatmentPlantDistrictName;				// 所属区县级行政区名称
	String sewageTreatmentPlantCreateUserName;          	// 污水处理厂创建人姓名
	String sewageTreatmentPlantUpdateUserName;				// 污水处理厂更新人姓名

	Boolean canEdit;										// 是否可以修改, 包括 update 和 delete

	List<SewageJobIdentificationMaterialVO> sewageJobIdentificationMaterialVO; //污水样品
}
